* configure.in: Add check for GCC 3.x.